%The purpose of this file: 
%Draw figures to present Angle measurement eror mean value and standard deviation for different rotation axis 

clear all
clc
load('alpha_e1.mat')
error = alpha_e1;
N = 1000;%Each angle is measured 1000 times.
M = 9;%The number of the rotation axis
Nt = 301;%The number of the measured angle.
angle = -150:150;
Error = zeros(M,Nt);
Varerror = zeros(M,Nt);
for i=1:M
    Error(i,:) = mean(abs(error(N*(i-1)+(1:N),1:Nt)));
    Varerror(i,:) = std(abs(error(N*(i-1)+(1:N),1:Nt)));
end
figure(1)
plot(angle,Error(1,:),'r')
hold on
plot(angle,Error(5,:),'g')
hold on
plot(angle,Error(6,:),'b')
hold on
plot(angle,Error(7,:),'k')
hold on
plot(angle,Error(8,:),'m')
hold on
plot(angle,Error(9,:),'c')
xlabel('Rotation angle \alpha (deg)')
ylabel('The mean error  e  (deg)')
legend('r= 0 deg','r=40 deg','r=50 deg','r=60 deg','r=70 deg','r=80 deg')
% legend('r= 0  deg','r=40 deg','r=50 deg','r=60 deg','r=70 deg','r=80 deg')
% legend('\unit:degree')
figure(2)
plot(angle,Varerror(1,:),'r')
hold on
plot(angle,Varerror(5,:),'g')
hold on
plot(angle,Varerror(6,:),'b')
hold on
plot(angle,Varerror(7,:),'k')
hold on
plot(angle,Varerror(8,:),'m')
hold on
plot(angle,Varerror(9,:),'c')
% hold on 
% plot(angle,Varerror(7,:),'c')
% hold on 
% plot(angle,Varerror(8,:),'w')
xlabel('Rotation angle \alpha(deg)')
ylabel('error standard deviation \sigma (deg)')
legend('r= 0  deg','r=40 deg','r=50 deg','r=60 deg','r=70 deg','r=80 deg')






