%The purpose of this file: 
%Draw figures to present Angle measurement eror mean value and standard deviation for different noise level of roll_alpha and pitch_alpha  


clear all
clc
load('alpha_e.mat')
error = alpha_e;%
N = 1000;%Each angle is measured 1000 times.
M = 10;%The number of the noise level of roll and pitch 
Nt = 301;%The number of the measured angle.
angle = -150:150;
Error = zeros(M,Nt);
Varerror = zeros(M,Nt);
for i=1:M
    Error(i,:) = mean(abs(error(N*(i-1)+(1:N),1:Nt)));
    Varerror(i,:) = std(abs(error(N*(i-1)+(1:N),1:Nt)));
end
figure(1)
plot(angle,Error(1,:),'r')
hold on
plot(angle,Error(3,:),'g')
hold on
plot(angle,Error(5,:),'b')
hold on
plot(angle,Error(6,:),'k')
hold on
plot(angle,Error(7,:),'m')
hold on
plot(angle,Error(9,:),'c')
xlabel('Rotation angle \alpha (deg)')
ylabel('The mean error  e  (deg)')
 legend('\sigma_n=0.1 deg','\sigma_n=0.5 deg','\sigma_n=0.9 deg','\sigma_n=1.1 deg','\sigma_n=1.3 deg','\sigma_n=1.7 deg')
% legend('\unit:degree')
figure(2)
plot(angle,Varerror(1,:),'r')
hold on
plot(angle,Varerror(3,:),'g')
hold on
plot(angle,Varerror(5,:),'b')
hold on
plot(angle,Varerror(6,:),'k')
hold on
plot(angle,Varerror(7,:),'m')
hold on
plot(angle,Varerror(9,:),'c')
% hold on 
% plot(angle,Varerror(7,:),'c')
% hold on 
% plot(angle,Varerror(8,:),'w')
xlabel('rotation angle \alpha(deg)')
ylabel('error standard deviation \sigma (deg)')
legend('\sigma_n=0.1 deg','\sigma_n=0.5 deg','\sigma_n=0.9 deg','\sigma_n=1.1 deg','\sigma_n=1.3 deg','\sigma_n=1.7 deg')




