%% Draw a figure to present the noise immunity for different axes
clc
clear all
load('mean_n.mat');

figure(1)
plot(0:0.1:4,mean_n(1:41,1),'r')
hold on
% plot(0:0.1:4,mean_n(1:41,2),'g')
% hold on
% plot(0:0.1:4,mean_n(1:41,3),'b')
% hold on
% plot(0:0.1:4,mean_n(1:41,4),'k')
% hold on
plot(0:0.1:4,mean_n(1:41,5),'g')
hold on
plot(0:0.1:4,mean_n(1:41,6),'b')
hold on
plot(0:0.1:4,mean_n(1:41,7),'m')
hold on
plot(0:0.1:4,mean_n(1:41,8),'c')
hold on
plot(0:0.1:4,mean_n(1:41,9),'k')
xlabel('The noise amplitude \sigma of \phi and \theta (deg)')
ylabel('The mean error  e   (deg)')
legend('r= 0 deg','r=40 deg','r=50 deg','r=60 deg','r=70 deg','r=80 deg')
