%% main function: ana_newdata.m


% 
% 18.mat: The file records the data of IMU at the state {I0} when the rotation angles are positive.
% n18.mat: The file records the data of IMU at the state {I0} when the rotation angles are negative.
% axis_me.mat: The file is used to calculate the direction of the rotation axis.
% All of the .mat files are the data of attitude angles and IMU triaxial angular velocities at some state.
%The columns of the .mat files denote roll pitch yaw (attitude angles) p q r(The body angular rate) .
% Everytime run the file ana_newdata.m after you have revised the command  'load('***.mat')' 
%which records the data of IMU at the state {I_alpha}
% and the command e=abs(a_res)-abs(***);

clc
clear all
 
load('axis_me.mat')
axis=pose_pqr(:,4:6);%


load('18.mat')% Use 18.mat when the rotation angles are positive.Use n18.mat when the rotation angles are negative.
rppqr0=mean(pose_pqr)
pqr0=rppqr0(4:6);
% rp=output***;
%% 
%
% mean0=mean(input);

p0=rppqr0(4);
q0=rppqr0(5);
r0=rppqr0(6);
roll0=rppqr0(1);%
pitch0=rppqr0(2);
yaw0=rppqr0(3);%

axis_anglemd=axis_anglemidvalue(axis,p0,q0,r0);

axis_b=axis_anglemd;
% p

% tt=sort(input(6111:9338,1:2));
load('36.mat')% revise it everytime 
pose=pose_pqr(:,1:2);
nn=size(pose,1);
% posepqr=posepqr.pose_pqr;

% mean1=mean(posepqr);
roll=pose*[1 0]';
pitch=pose*[0 1 ]';

% pose=pose(10:nn,:);
% nn=size(pose,1)
a_res=zeros(nn,1);
% alpha_res=zeros(nn,1);
% a_res1=zeros(nn,1);
e=zeros(nn,2);
cout=1;
tRw = Rotation(roll0, pitch0, yaw0);%
%%

%
alpha = -180:0.1:180;
n = max(size(alpha));
x = zeros(3,n);


for i=1:n
%     R = axis_angletoq2R(tRw*axis',alpha(i));
 R = axis_angletoq2R(axis_b,alpha(i));%%% 
    x(:,i) = R*tRw*[0 0 1]';
end
%% 
for iii=1:nn
 
a_res(iii,1)=xc2a(roll(iii),pitch(iii),alpha,x,n);

end
%% The answers
alpha_est=mean(a_res)% The estimate of the rotaton angle

e=abs(a_res)-abs(36-18); % revise it everytime .n36.mat corresponds to e=abs(a_res)-abs(-36-(-18));

[Average,std]=m_std(e)%sdt denotes the standard deviation of the rotation angle. Average is the mean error of the rotation angle.
Variance=std^2% the variance of the rotation angle 






