%% main function: ana_newdata2.m


% posepqr0.mat: The file records the data of IMU at the state {I0}.
% axis.mat: The file is used to calculate the direction of the rotation axis.
% All of the .mat files are the data of attitude angles and IMU triaxial angular velocities at some state.
%The columns of the .mat files denote roll pitch yaw (attitude angles) p q r(The body angular rate) .
% Everytime run the file ana_newdata2.m after you have revised the command  'load('***.mat')' 
%which records the data of IMU at the state {I_alpha}
% and the command e=abs(a_res)-abs(***);

clc
clear all
bdclose all


load('posepqr0.mat');

mean0=mean(pose_pqr);
p0=mean0(4);
q0=mean0(5);
r0=mean0(6);
roll0=mean0(1);
pitch0=mean0(2);
yaw0=mean0(3);;%

load ('axis.mat');
% axis_t=
data=pose_pqr(:,4:6);
% p0=0
% q0=0
% r0=0
axis_b=axis_meanshift_me(data,p0,q0,r0);


tRw = Rotation(roll0, pitch0, yaw0);%
%
alpha = -180:0.1:180;
n = max(size(alpha));
x = zeros(3,n);

%
for i=1:n
%     R = axis_angletoq2R(tRw*axis',alpha(i));
 R = axis_angletoq2R(axis_b,alpha(i));%%% 
    x(:,i) = R*tRw*[0 0 1]';
end

load('25.2.mat'); % revise it everytime .records the data of IMU at the state {I_alpha}

roll=pose_pqr(:,1);
pitch=pose_pqr(:,2);
nn=size(pose_pqr,1);

 xc2a(mean(roll),mean(pitch),alpha,x,n)
% end
a_res=zeros(nn,1);

for i=1:nn    
a_res(i)=xc2a(roll(i),pitch(i),alpha,x,n);
end
%% The answers
alpha_est=mean(a_res)% The estimate of the rotaton angle

e=abs(a_res)-abs(25.2); % revise it everytime. n18.mat corresponds to -18 

[Average,std]=m_std(e)%sdt denotes the standard deviation of the rotation angle. Average is the mean error of the rotation angle.
Variance=std^2% the variance of the rotation angle 





